# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "event-scanner"
version = "0.6.0-alpha"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Event Scanner is a library for scanning events from any EVM-based blockchain."
readme = "README.md"
keywords = [
    "evm",
    "ethereum",
    "blockchain",
    "events",
    "alloy",
]
categories = [
    "asynchronous",
    "web-programming",
    "web-programming::websocket",
    "cryptography::cryptocurrencies",
]
license = "MIT"
repository = "https://github.com/OpenZeppelin/Event-Scanner"
resolver = "2"

[package.metadata.docs.rs]
all-features = true

[features]
test-utils = []

[lib]
name = "event_scanner"
path = "src/lib.rs"

[[test]]
name = "block_range_scanner"
path = "tests/block_range_scanner.rs"

[[test]]
name = "mod"
path = "tests/mod.rs"

[dependencies.alloy]
version = "1.1.2"
features = ["full"]

[dependencies.alloy-node-bindings]
version = "1.1.2"

[dependencies.anyhow]
version = "1.0"

[dependencies.backon]
version = "1.6.0"

[dependencies.thiserror]
version = "2.0.17"

[dependencies.tokio]
version = "1.48"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1.17"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.test-log]
version = "0.2.18"
features = ["trace"]

[dev-dependencies.tracing-subscriber]
version = "0.3"
features = [
    "fmt",
    "env-filter",
]

[lints.clippy]
all = "warn"
pedantic = "warn"
